com.orsoncharts.axis

## Interface CategoryAxis3D

- All Superinterfaces:
    Axis3D, ChartElement
  All Known Implementing Classes:
    StandardCategoryAxis3D

      public interface CategoryAxis3D
      extends Axis3D

  An axis that displays categories and is used with a `CategoryPlot3D` for the row and column axes. Most of the methods in this interface are intended to be called by the plot that the axis is assigned to, they won't normally be called by external code.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureAsColumnAxis(CategoryPlot3D plot)` Configure the axis as a column axis for the specified plot.
    `void` | `configureAsRowAxis(CategoryPlot3D plot)` Configure the axis as a row axis for the specified plot.
    `java.util.List<MarkerData>` | `generateMarkerData()` Returns a list of marker data instances for the markers that fall within the current axis range.
    `java.util.List<TickData>` | `generateTickDataForColumns(CategoryDataset3D dataset)` Generates the tick data for the axis (assumes the axis is being used as the row axis).
    `java.util.List<TickData>` | `generateTickDataForRows(CategoryDataset3D dataset)` Generates the tick data for the axis (assumes the axis is being used as the row axis).
    `double` | `getCategoryValue(java.lang.Comparable<?> category)` Returns the numerical value along the axis that corresponds to the specified category.
    `double` | `getCategoryWidth()` Returns the width of a single category in units corresponding to the current axis range.
    `CategoryMarker` | `getMarker(java.lang.String key)` Returns the marker with the specified key, if there is one.
    `boolean` | `isColumnAxis()` Returns `true` if this axis is being used as the column axis in a plot, and `false` otherwise.
    `boolean` | `isRowAxis()` Returns `true` if this axis is being used as the row axis in a plot, and `false` otherwise.

    - ### Methods inherited from interface com.orsoncharts.axis.Axis3D

      `addChangeListener, draw, getLabelColor, getLabelFont, getRange, getTickLabelColor, getTickLabelFont, isInverted, isVisible, removeChangeListener, setInverted, setLabelColor, setLabelFont, setRange, setRange, setTickLabelColor, setTickLabelFont, setVisible, translateToWorld`

    - ### Methods inherited from interface com.orsoncharts.ChartElement

      `receive`

- - ### Method Detail

    - #### isRowAxis

          boolean isRowAxis()

      Returns `true` if this axis is being used as the row axis in a plot, and `false` otherwise.
      Returns:
        A boolean.
      Since:
        1.3

    - #### isColumnAxis

          boolean isColumnAxis()

      Returns `true` if this axis is being used as the column axis in a plot, and `false` otherwise.
      Returns:
        A boolean.
      Since:
        1.3

    - #### configureAsRowAxis

          void configureAsRowAxis(CategoryPlot3D plot)

      Configure the axis as a row axis for the specified plot. Note that this method will be called by the plot, it will not normally be called by external code.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### configureAsColumnAxis

          void configureAsColumnAxis(CategoryPlot3D plot)

      Configure the axis as a column axis for the specified plot. Note that this method will be called by the plot, it will not normally be called by external code.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### getCategoryWidth

          double getCategoryWidth()

      Returns the width of a single category in units corresponding to the current axis range.
      Returns:
        The width of a single category.

    - #### getCategoryValue

          double getCategoryValue(java.lang.Comparable<?> category)

      Returns the numerical value along the axis that corresponds to the specified category. If the category is unknown, this method will return `Double.NaN`.
      Parameters:
        `category` - the category (`null` not permitted).
      Returns:
        The axis value.

    - #### generateTickDataForRows

          java.util.List<TickData> generateTickDataForRows(CategoryDataset3D dataset)

      Generates the tick data for the axis (assumes the axis is being used as the row axis). The dataset is passed as an argument to provide the opportunity to incorporate dataset-specific info into tick labels (for example, a row label might show the total for that row in the dataset) ---whether or not this is used depends on the axis implementation.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
      Returns:
        The tick data.
      Since:
        1.2

    - #### generateTickDataForColumns

          java.util.List<TickData> generateTickDataForColumns(CategoryDataset3D dataset)

      Generates the tick data for the axis (assumes the axis is being used as the row axis). The dataset is passed as an argument to provide the opportunity to incorporate dataset-specific info into tick labels (for example, a row label might show the total for that row in the dataset) ---whether or not this is used depends on the axis implementation.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
      Returns:
        The tick data.
      Since:
        1.2

    - #### generateMarkerData

          java.util.List<MarkerData> generateMarkerData()

      Returns a list of marker data instances for the markers that fall within the current axis range.
      Returns:
        A list of marker data.

    - #### getMarker

          CategoryMarker getMarker(java.lang.String key)

      Returns the marker with the specified key, if there is one.
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The marker (possibly `null`).
      Since:
        1.2